Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
memcmp.c File Reference
`#include "ruby/missing.h"`
`#include <stddef.h>`
Include dependency graph for memcmp.c:

Go to the source code of this file.

## Functions
int | memcmp (const void *s1, const void *s2, size_t len)

## Function Documentation

int memcmp | ( | const void * | s1,
|  | const void * | s2,
|  | size_t | len
| ) |  |

Definition at line 7 of file memcmp.c.

Referenced by bracket(), econv_equal(), fdbm_has_value(), fdbm_key(), fgdbm_has_value(), fgdbm_key(), fnmatch_helper(), fsdbm_has_value(), fsdbm_key(), gzreader_gets(), isinf(), match_equal(), pruby_var_prefixed_p(), random_equal(), rb_io_getline_1(), rb_memcmp(), rb_memsearch(), rb_memsearch_qs(), rb_memsearch_qs_utf8(), rb_reg_equal(), rb_reg_regcomp(), rb_str_casecmp(), rb_str_chomp_bang(), rb_str_cmp(), rb_str_end_with(), rb_str_enumerate_lines(), rb_str_hash_cmp(), rb_str_rindex(), rb_str_start_with(), rsock_family_to_int(), rsock_ip_level_to_int(), rsock_ip_optname_to_int(), rsock_ipproto_to_int(), rsock_scm_optname_to_int(), rsock_shutdown_how_to_int(), rsock_so_optname_to_int(), rsock_socktype_to_int(), rsock_tcp_optname_to_int(), rsock_udp_optname_to_int(), rsock_unknown_level_to_int(), seepair(), slow_search(), SSL_SESSION_cmp(), str_eql(), tr_trans(), and yaml_parser_determine_encoding().